Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TypeCode.cpp File Reference

`#include "TypeCode.h"`
`#include "TypeCode.inl"`
`#include "SystemException.h"`
`#include "CDR.h"`
`#include "ORB_Constants.h"`
`#include "debug.h"`
`#include "ace/OS_NS_string.h"`

Include dependency graph for TypeCode.cpp:

## Namespaces
namespace | TAO
## Functions
CORBA::TypeCode_ptr | Objref_Traits< CORBA::TypeCode >::duplicate (CORBA::TypeCode_ptr p)
void | Objref_Traits< CORBA::TypeCode >::release (CORBA::TypeCode_ptr p)
CORBA::TypeCode_ptr | Objref_Traits< CORBA::TypeCode >::nil (void)
CORBA::Boolean | Objref_Traits< CORBA::TypeCode >::marshal (CORBA::TypeCode_ptr p, TAO_OutputCDR &cdr)

## Function Documentation

CORBA::TypeCode_ptr Objref_Traits< CORBA::TypeCode >::duplicate | ( | CORBA::TypeCode_ptr | p | ) |

CORBA::Boolean Objref_Traits< CORBA::TypeCode >::marshal | ( | CORBA::TypeCode_ptr | p,
|  | TAO_OutputCDR & | cdr
| ) |

CORBA::TypeCode_ptr Objref_Traits< CORBA::TypeCode >::nil | ( | void |  | ) |

void Objref_Traits< CORBA::TypeCode >::release | ( | CORBA::TypeCode_ptr | p | ) |